%if 0%{?fedora}
%global with_python3 1
%endif

%global bname path

Name:           python-%{bname}
Version:        5.2
Release:        3%{?dist}
Summary:        A python module wrapper for os.path

License:        MIT
URL:            https://pypi.python.org/pypi/path.py
Source0:        https://pypi.python.org/packages/source/p/path.py/%{bname}.py-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pytest

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%endif

%description
path.py implements a path objects as first-class entities, 
allowing common operations on files to be invoked on those path objects directly.

See documentation here http://amoffat.github.io/sh/.

%if 0%{?with_python3}
%package    -n python3-%{bname}
Summary:    Python 3 module wrapper for os.path
Group:      Development/Libraries

%description -n python3-%{bname}
path.py implements a path objects as first-class entities,
allowing common operations on files to be invoked on those path objects directly.

See documentation here http://amoffat.github.io/sh/.
%endif


%prep
%setup -q -n %{bname}.py-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%if 0%{?with_python3}
pushd %{py3dir}
  %{__python3} setup.py build 
popd
%endif

%{__python} setup.py build

%check
cd build/lib
LC_ALL=en_US.UTF-8 py.test -v
#%{__python} test_path.py

%if 0%{?with_python3}
pushd %{py3dir}
  cd build/lib
  LC_ALL=en_US.UTF-8 %{_bindir}/py.test-3* -v
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
  %{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc CHANGES.rst README.rst
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-path
%{python3_sitelib}/*
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep  3 2014 Thomas Spura <tomspur@fedoraproject.org> - 5.2-2
- enable testsuite

* Wed Sep  3 2014 Thomas Spura <tomspur@fedoraproject.org> - 5.2-1
- update to 5.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Apr 04 2014 Xavier Lamien <laxathom@fedoraproject.org> - 5.1-1
- Upstream release.
- Add python3's subpackage.

* Fri Jul 26 2013 Xavier Lamien <laxathom@fedoraproject.org> - 4.3-1
- Upstream release.

* Wed Apr 10 2013 Xavier Lamien <laxathom@fedoraproject.org> - 3.0.1-2
- Add %%check stage.
- Update BuildRequire.
- Add missing %%docs.

* Wed Apr 10 2013 Xavier Lamien <laxathom@fedoraproject.org> - 3.0.1-1
- Initial RPM release.
